Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.FocusPolicy

    java.lang.Object
      java.lang.Enum<Qt.FocusPolicy>
          com.trolltech.qt.core.Qt.FocusPolicy

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.FocusPolicy>

Enclosing interface:
  Qt

    public static enum Qt.FocusPolicy

extends java.lang.Enum<Qt.FocusPolicy>
implements QtEnumerator

This enum type defines the various policies a widget can have with respect to acquiring keyboard focus.

Enum Constant Summary
`ClickFocus` the widget accepts focus by clicking.
`NoFocus` the widget does not accept focus.
`StrongFocus` the widget accepts focus by both tabbing and clicking.
`TabFocus` the widget accepts focus by tabbing.
`WheelFocus` like Qt::StrongFocus plus the widget accepts focus by using the mouse wheel.

Method Summary
`static Qt.FocusPolicy` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.FocusPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.FocusPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoFocus

    public static final Qt.FocusPolicy NoFocus

  the widget does not accept focus.

### TabFocus

    public static final Qt.FocusPolicy TabFocus

  the widget accepts focus by tabbing.

### ClickFocus

    public static final Qt.FocusPolicy ClickFocus

  the widget accepts focus by clicking.

### StrongFocus

    public static final Qt.FocusPolicy StrongFocus

  the widget accepts focus by both tabbing and clicking. On Mac OS X this will also be indicate that the widget accepts tab focus when in 'Text/List focus mode'.

### WheelFocus

    public static final Qt.FocusPolicy WheelFocus

  like Qt::StrongFocus plus the widget accepts focus by using the mouse wheel.

Method Detail

### values

    public static final Qt.FocusPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.FocusPolicy c : Qt.FocusPolicy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.FocusPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.FocusPolicy resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD